<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig FeatureConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map&lt;java.lang.String,com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureOption&gt;, java.util.Map&lt;java.lang.String,java.lang.String&gt;, java.lang.Boolean, java.lang.Boolean, java.util.List&lt;java.lang.String&gt;, java.util.List&lt;java.lang.String&gt;, java.lang.String, com.intellij.docker.agent.devcontainers.ideSettings.DevcontainerIdeConfig, java.util.Map&lt;com.intellij.docker.agent.devcontainers.feautures.DevcontainerResource.Ref,com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig&gt;, java.util.List&lt;com.intellij.docker.agent.devcontainers.feautures.DevcontainerResource.Ref&gt;, java.util.List&lt;java.lang.String&gt;, java.lang.Boolean, java.util.List&lt;com.intellij.docker.agent.settings.DockerMount&gt;, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeatureSet">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig java.util.List&lt;com.intellij.docker.agent.settings.DockerMount&gt; component19()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.LifecycleScriptDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerImageMetadataModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerProperties">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig copy(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map&lt;java.lang.String,com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureOption&gt;, java.util.Map&lt;java.lang.String,java.lang.String&gt;, java.lang.Boolean, java.lang.Boolean, java.util.List&lt;java.lang.String&gt;, java.util.List&lt;java.lang.String&gt;, java.lang.String, com.intellij.docker.agent.devcontainers.ideSettings.DevcontainerIdeConfig, java.util.Map&lt;com.intellij.docker.agent.devcontainers.feautures.DevcontainerResource.Ref,com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig&gt;, java.util.List&lt;com.intellij.docker.agent.devcontainers.feautures.DevcontainerResource.Ref&gt;, java.util.List&lt;java.lang.String&gt;, java.lang.Boolean, java.util.List&lt;com.intellij.docker.agent.settings.DockerMount&gt;, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureExtractor FeatureExtractor(com.fasterxml.jackson.core.JsonParser)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig java.util.Map&lt;com.intellij.docker.agent.devcontainers.feautures.DevcontainerResource.Ref,com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig&gt; component15()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.StringOrStringArrayDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureExtractor com.intellij.docker.agent.devcontainers.model.DevcontainerFeature extractFrom(com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.JsonModel)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeatureSet java.lang.Object resolveDependencies(java.util.List&lt;java.lang.String&gt;, kotlin.jvm.functions.Function2&lt;? super com.intellij.docker.agent.devcontainers.model.DevcontainerFeature,? super kotlin.coroutines.Continuation&lt;? super com.intellij.docker.agent.devcontainers.model.DevcontainerFeature&gt;,? extends java.lang.Object&gt;, kotlin.coroutines.Continuation&lt;? super java.util.List&lt;com.intellij.docker.agent.devcontainers.model.DevcontainerFeature&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureExtractor com.fasterxml.jackson.core.JsonParser getJsonParser()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig boolean component25()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig java.util.List&lt;java.lang.String&gt; component17()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig java.lang.Boolean component18()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig com.intellij.docker.agent.devcontainers.model.DevcontainerProperties.LifecycleScript component24()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig java.util.Map&lt;com.intellij.docker.agent.devcontainers.feautures.DevcontainerResource.Ref,com.intellij.docker.agent.devcontainers.model.DevcontainerFeature.FeatureConfig&gt; getDependsOn()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
</root>
